# Class default

#### Hierarchy

- default

- Defined in olcs/OLCesium.ts:93

#####
Index

### Constructors

constructor

### Properties

autoRenderLoop_
blockCesiumRendering_
boundingSphereScratch_
camera_
canvasClientHeight_
canvasClientWidth_
canvas_
container_
dataSourceCollection_
dataSourceDisplay_
enabled_
entityView_
globe_
hiddenRootGroup_
isOverMap_
lastFrameTime_
map_
needTrackedEntityUpdate_
pausedInteractions_
renderId_
resolutionScaleChanged_
resolutionScale_
scene_
synchronizers_
targetFrameRate_
time_
to4326Transform_
trackedEntity_
trackedFeature_
warmingUp_

### Accessors

trackedFeature

### Methods

destroy
enableAutoRenderLoop
getAutoRenderLoop
getCamera
getCesiumScene
getDataSourceDisplay
getDataSources
getEnabled
getOlMap
getOlView
handleResize_
onAnimationFrame_
render_
setBlockCesiumRendering
setEnabled
setResolutionScale
setTargetFrameRate
throwOnUnitializedMap_
updateTrackedEntity_
warmUp

## Constructors

### constructor

- new default(options): default

- #### Parameters

  - ##### options: OLCesiumOptions

  #### Returns default

  - Defined in olcs/OLCesium.ts:130

## Properties

### `Private` autoRenderLoop_

autoRenderLoop_: AutoRenderLoop = null

- Defined in olcs/OLCesium.ts:94

### `Private` blockCesiumRendering_

blockCesiumRendering_: boolean = false

If the Cesium render loop is being blocked.

- Defined in olcs/OLCesium.ts:120

### `Private` boundingSphereScratch_

boundingSphereScratch_: BoundingSphere = ...

- Defined in olcs/OLCesium.ts:127

### `Private` camera_

camera_: Camera

- Defined in olcs/OLCesium.ts:109

### `Private` canvasClientHeight_

canvasClientHeight_: number = 0.0

- Defined in olcs/OLCesium.ts:100

### `Private` canvasClientWidth_

canvasClientWidth_: number = 0.0

- Defined in olcs/OLCesium.ts:99

### `Private` canvas_

canvas_: HTMLCanvasElement

- Defined in olcs/OLCesium.ts:104

### `Private` container_

container_: HTMLElement

- Defined in olcs/OLCesium.ts:102

### `Private` dataSourceCollection_

dataSourceCollection_: DataSourceCollection

- Defined in olcs/OLCesium.ts:111

### `Private` dataSourceDisplay_

dataSourceDisplay_: DataSourceDisplay

- Defined in olcs/OLCesium.ts:112

### `Private` enabled_

enabled_: boolean = false

- Defined in olcs/OLCesium.ts:105

### `Private` entityView_

entityView_: EntityView = null

- Defined in olcs/OLCesium.ts:125

### `Private` globe_

globe_: Globe

- Defined in olcs/OLCesium.ts:110

### `Private` hiddenRootGroup_

hiddenRootGroup_: LayerGroup = null

- Defined in olcs/OLCesium.ts:107

### `Private` isOverMap_

isOverMap_: boolean

- Defined in olcs/OLCesium.ts:103

### `Private` lastFrameTime_

lastFrameTime_: number = 0

Time of the last rendered frame, as returned by `performance.now()`.

- Defined in olcs/OLCesium.ts:114

### `Private` map_

map_: Map

- Defined in olcs/OLCesium.ts:95

### `Private` needTrackedEntityUpdate_

needTrackedEntityUpdate_: boolean = false

- Defined in olcs/OLCesium.ts:126

### `Private` pausedInteractions_

pausedInteractions_: Interaction[] = []

- Defined in olcs/OLCesium.ts:106

### `Private` renderId_

renderId_: number

The identifier returned by `requestAnimationFrame`.

- Defined in olcs/OLCesium.ts:116

### `Private` resolutionScaleChanged_

resolutionScaleChanged_: boolean = true

- Defined in olcs/OLCesium.ts:101

### `Private` resolutionScale_

resolutionScale_: number = 1.0

- Defined in olcs/OLCesium.ts:98

### `Private` scene_

scene_: Scene

- Defined in olcs/OLCesium.ts:108

### `Private` synchronizers_

synchronizers_: SynchronizerType[]

- Defined in olcs/OLCesium.ts:128

### `Private` targetFrameRate_

targetFrameRate_: number = Number.POSITIVE_INFINITY

Target frame rate for the render loop.

- Defined in olcs/OLCesium.ts:118

### `Private` time_

time_: (() => JulianDate)

#### Type declaration

- - (): JulianDate

  - #### Returns JulianDate

- Defined in olcs/OLCesium.ts:96

### `Private` to4326Transform_

to4326Transform_: TransformFunction

- Defined in olcs/OLCesium.ts:97

### `Private` trackedEntity_

trackedEntity_: Entity = null

- Defined in olcs/OLCesium.ts:124

### `Private` trackedFeature_

trackedFeature_: Feature<Geometry> = null

- Defined in olcs/OLCesium.ts:123

### `Private` warmingUp_

warmingUp_: boolean = false

If the warmup routine is active.

- Defined in olcs/OLCesium.ts:122

## Accessors

### trackedFeature

- get trackedFeature(): Feature<Geometry>

- #### Returns Feature<Geometry>

  - Defined in olcs/OLCesium.ts:593
- set trackedFeature(feature): void

- #### Parameters

  - ##### feature: Feature<Geometry>

  #### Returns void

  - Defined in olcs/OLCesium.ts:597

## Methods

### destroy

- destroy(): void

- Destroys the Cesium resources held by this object.

  #### Returns void

  - Defined in olcs/OLCesium.ts:258

### enableAutoRenderLoop

- enableAutoRenderLoop(): void

- Render the globe only when necessary in order to save resources. Experimental.

  #### Returns void

  - Defined in olcs/OLCesium.ts:530

### getAutoRenderLoop

- getAutoRenderLoop(): AutoRenderLoop

- Get the autorender loop.

  #### Returns AutoRenderLoop

  - Defined in olcs/OLCesium.ts:539

### getCamera

- getCamera(): Camera

- #### Returns Camera

  - Defined in olcs/OLCesium.ts:388

### getCesiumScene

- getCesiumScene(): Scene

- #### Returns Scene

  - Defined in olcs/OLCesium.ts:402

### getDataSourceDisplay

- getDataSourceDisplay(): DataSourceDisplay

- #### Returns DataSourceDisplay

  - Defined in olcs/OLCesium.ts:410

### getDataSources

- getDataSources(): DataSourceCollection

- #### Returns DataSourceCollection

  - Defined in olcs/OLCesium.ts:406

### getEnabled

- getEnabled(): boolean

- #### Returns boolean

  - Defined in olcs/OLCesium.ts:414

### getOlMap

- getOlMap(): Map

- #### Returns Map

  - Defined in olcs/OLCesium.ts:392

### getOlView

- getOlView(): View

- #### Returns View

  - Defined in olcs/OLCesium.ts:396

### `Private` handleResize_

- handleResize_(): void

- #### Returns void

  - Defined in olcs/OLCesium.ts:356

### `Private` onAnimationFrame_

- onAnimationFrame_(frameTime): void

- Callback for `requestAnimationFrame`.

  #### Parameters

  - ##### frameTime: number

    The frame time, from `performance.now()`.

  #### Returns void

  - Defined in olcs/OLCesium.ts:289

### `Private` render_

- render_(): void

- Render the Cesium scene.

  #### Returns void

  - Defined in olcs/OLCesium.ts:272

### setBlockCesiumRendering

- setBlockCesiumRendering(block): void

- Block Cesium rendering to save resources.

  #### Parameters

  - ##### block: boolean

    True to block.

  #### Returns void

  - Defined in olcs/OLCesium.ts:517

### setEnabled

- setEnabled(enable): void

- Enables/disables the Cesium. This modifies the visibility style of the container element.

  #### Parameters

  - ##### enable: boolean

  #### Returns void

  - Defined in olcs/OLCesium.ts:422

### setResolutionScale

- setResolutionScale(value): void

- The 3D Cesium globe is rendered in a canvas with two different dimensions: clientWidth and clientHeight which are the dimension on the screen and width and height which are the dimensions of the drawing buffer.

  By using a resolution scale lower than 1.0, it is possible to render the globe in a buffer smaller than the canvas client dimensions and improve performance, at the cost of quality.

  Pixel ratio should also be taken into account; by default, a device with pixel ratio of 2.0 will have a buffer surface 4 times bigger than the client surface.

  #### Parameters

  - ##### value: number

  #### Returns void

  - Defined in olcs/OLCesium.ts:556

### setTargetFrameRate

- setTargetFrameRate(value): void

- Set the target frame rate for the renderer. Set to `Number.POSITIVE_INFINITY` to render as quickly as possible.

  #### Parameters

  - ##### value: number

    The frame rate, in frames per second.

  #### Returns void

  - Defined in olcs/OLCesium.ts:572

### `Private` throwOnUnitializedMap_

- throwOnUnitializedMap_(): void

- Check if OpenLayers map is not properly initialized.

  #### Returns void

  - Defined in olcs/OLCesium.ts:584

### `Private` updateTrackedEntity_

- updateTrackedEntity_(): void

- #### Returns void

  - Defined in olcs/OLCesium.ts:330

### warmUp

- warmUp(height, timeout): void

- Preload Cesium so that it is ready when transitioning from 2D to 3D.

  #### Parameters

  - ##### height: number

    Target height of the camera

  - ##### timeout: number

    Milliseconds after which the warming will stop

  #### Returns void

  - Defined in olcs/OLCesium.ts:490

Generated using TypeDoc